%global namedreltag .NOTHING
%global namedversion %{version}%{?namedreltag}

Name:             cdi-api
Version:          1.2
Release:          %mkrel 4
Group:            Development/Java
Summary:          CDI API
License:          ASL 2.0
URL:              http://seamframework.org/Weld
Source0:          https://github.com/cdi-spec/cdi/archive/%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    asciidoc
BuildRequires:    maven-local
BuildRequires:    mvn(javax.el:javax.el-api)
BuildRequires:    mvn(javax.inject:javax.inject)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.apache.maven.surefire:surefire-testng)
BuildRequires:    mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.2_spec)
BuildRequires:    mvn(org.jboss.weld:weld-parent:pom:)
BuildRequires:    mvn(org.testng:testng::jdk15:)
BuildRequires:    python3-pygments

Provides:         javax.enterprise.inject

%description
APIs for JSR-299: Contexts and Dependency Injection for Java EE

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n cdi-%{version}

cd api
# J2EE API directory
%mvn_file :{cdi-api} %{name}/@1 javax.enterprise.inject/@1

# Use newer version of interceptors API
%pom_change_dep "javax.interceptor:javax.interceptor-api" "org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.2_spec"

%build

(
 cd api
 %mvn_build -- -Denforcer.skip
)

cd spec/src/main/doc
asciidoc -n -b html5 -a toc2 -a toclevels=3 -a pygments -f html5.conf -o ../../../../cdi-spec.html cdi-spec.asciidoc
asciidoc -n -b html5 -a toc2 -a toclevels=3 -a pygments -f html5.conf -o ../../../../license-asl2.html license-asl2.asciidoc
asciidoc -n -b html5 -a toc2 -a toclevels=3 -a pygments -f html5.conf -o ../../../../license-jcp.html license-jcp.asciidoc

%install
cd api
%mvn_install

build-jar-repository %{buildroot}%{_javadir}/javax.enterprise.inject/ \
                     jboss-interceptors-1.2-api glassfish-el-api javax.inject

%files -f api/.mfiles
%{_javadir}/javax.enterprise.inject/
%doc cdi-spec.html
%license license-asl2.html license-jcp.html

%files javadoc -f api/.mfiles-javadoc
%license license-asl2.html license-jcp.html


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.2-4.mga8
+ Revision: 1531658
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 daviddavid <daviddavid> 1.2-3.mga8
+ Revision: 1440758
- switch to python3-pygments

* Tue Sep 18 2018 umeabot <umeabot> 1.2-2.mga7
+ Revision: 1261183
- Mageia 7 Mass Rebuild

* Sat May 06 2017 neoclust <neoclust> 1.2-1.mga6
+ Revision: 1099380
- New version 1.2

* Wed Mar 02 2016 neoclust <neoclust> 1.1-14.mga6
+ Revision: 982219
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.1-13.mga6
+ Revision: 975743
- First rebuild of the java stack
- sync package cdi-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 daviddavid <daviddavid> 1.1-7.mga5
+ Revision: 806541
- obsoletes cdi-api1 and cdi-api1-javadoc (no longer in our svn)

* Wed Oct 15 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 740274
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1-4.mga4
+ Revision: 535144
- Mageia 4 Mass Rebuild
+ dmorgan <dmorgan>
- Rebuild against new javapackages
- Rebuild against new java stack

* Wed Sep 18 2013 dmorgan <dmorgan> 1.1-1.mga4
+ Revision: 481223
- Generate OSGI info

* Sat Jan 12 2013 umeabot <umeabot> 1.0-4.SP4.2.mga3
+ Revision: 351548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 1.0-4.SP4.1.mga3
+ Revision: 291465
- imported package cdi-api


* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4.SP4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 25 2012 Asaf Shakarchi <asaf@redhat.com> 1.0-3.SP4
- Fixed changelog versions.

* Wed Mar 16 2012 Asaf Shakarchi <asaf@redhat.com> 1.0-2.SP4
- Added required dependencies, modified patches and cleaned spec.

* Mon Feb 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.0-1.SP4
- Initial packaging

